Skip to main content
GET
/
v2
/
teams
/
{team_id}
/
schedules
List Schedules
curl --request GET \
  --url https://public.api.serval.com/v2/teams/{team_id}/schedules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "teamId": "<string>",
      "name": "<string>",
      "timezone": "<string>",
      "weeklyHours": {
        "sunday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ],
        "monday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ],
        "tuesday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ],
        "wednesday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ],
        "thursday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ],
        "friday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ],
        "saturday": [
          {
            "start": "<string>",
            "end": "<string>"
          }
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

The ID of the team to list schedules for.

Response

Success

data
Schedule · object[]